// Copyright (c) 2000-2001 Quadralay Corporation.  All rights reserved.
//

function  WWHJavaScriptSettings_Object()
{
  this.mHoverText = new WWHJavaScriptSettings_HoverText_Object();

  this.mTabs   = new WWHJavaScriptSettings_Tabs_Object();
  this.mTOC    = new WWHJavaScriptSettings_TOC_Object();
  this.mIndex  = new WWHJavaScriptSettings_Index_Object();
  this.mSearch = new WWHJavaScriptSettings_Search_Object();
}

function  WWHJavaScriptSettings_HoverText_Object()
{
  this.mbEnabled = true;

  this.mFontStyle = "font-family: Arial, Helvetica, sans-serif ; font-size: 9pt";

  this.mWidth = 200;

  this.mForegroundColor = "#2F7D00";
  this.mBackgroundColor = "#FFFFFF";
  this.mBorderColor     = "#2A3136";
}

function  WWHJavaScriptSettings_Tabs_Object()
{
  this.mFontStyle = "font-family: Arial, Helvetica, sans-serif; font-size: 10pt; font-weight: strong;";

  this.mSelectedTabColor       = "#2A3136";
  this.mSelectedTabBorderColor = "#2A3136";
  this.mSelectedTabTextColor   = "#B3B2B4";

  this.mDefaultTabColor       = "#2A3136";
  this.mDefaultTabBorderColor = "#2A3136";
  this.mDefaultTabTextColor   = "#88C540";
}

function  WWHJavaScriptSettings_TOC_Object()
{
  this.mbShow = true;

  this.mFontStyle = "font-family: Arial, Helvetica, sans-serif; font-size: 9pt; font-weight: lighter;;";

  this.mEnabledColor  = "#000000";
  this.mDisabledColor = "#000000";

  this.mIndent = 18;
}

function  WWHJavaScriptSettings_Index_Object()
{
  this.mbShow = true;

  this.mFontStyle = "font-family: Arial, Helvetica, sans-serif; font-size: 9pt; font-weight: lighter;";

  this.mEnabledColor  = "#000000";
  this.mDisabledColor = "#000000";

  this.mIndent = 18;

  this.mNavigationFontStyle     = "font-family: Arial, Helvetica, sans-serif; font-size: 9pt; font-weight: lighter;;";
  this.mNavigationCurrentColor  = "#000000";
  this.mNavigationEnabledColor  = "#000000";
  this.mNavigationDisabledColor = "#000000";
}

function  WWHJavaScriptSettings_Index_DisplayOptions(ParamIndexOptions)
{
  ParamIndexOptions.fSetThreshold(500);

  ParamIndexOptions.fSetSeperator(" - ");

  ParamIndexOptions.fGroup("Numerics", false, true, "1234567890");
  ParamIndexOptions.fGroup("", true, true, "ABCDEFGHIJKLMNOPQRSTUVWXYZ");
  ParamIndexOptions.fGroup("Symbols", false, true, "!@#$%^&*(){}[]<>\"|\\.,;-?+");
}

function  WWHJavaScriptSettings_Search_Object()
{
  this.mbShow = true;

  this.mFontStyle = "font-family: Arial, Helvetica, sans-serif ; font-size: 9pt";

  this.mEnabledColor  = "#000000";
  this.mDisabledColor = "#000000";

  this.mIndent = 18;

  this.mbShowBook = true;
  this.mbShowRank = true;
}
